Bug 981823 - openvt will not spawn as given user
openvt will not spawn as given user
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-05 22:28 EDT by Janina Sajka
Modified: 2015-02-18 08:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 08:58:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Janina Sajka 2013-07-05 22:28:41 EDT
Description of problem:Using the -u switch no longer works for openvt. Only root consoles can be opened with this command,
and only when a target console number is specified with -c.
There was no problem with this command in F18 and I have scripts that are now broken.
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.issue the command:
2.openvt -f -u <user>

Actual results:
Cannot make/remove an entry for the specified session

Expected results:
Bash prompt as <user>

Additional info:
Comment 1 Janina Sajka 2013-07-08 21:58:01 EDT
I erred. The -c switch is not an issue. Just the -u switch is a problem.
Comment 2 Janina Sajka 2013-12-31 15:15:33 EST
Still a bug in F-20.
Comment 3 Vitezslav Crhonek 2014-02-19 06:34:10 EST
It doesn't seem to be caused by openvt itself (there's almost no change in the source code in recent time).

Looks like it's related to PAM somehow, I see in audit.log that PAM:session_open fails, the rest of PAM operations are successful.

Commenting out the line:
session    required     pam_loginuid.so
from /etc/pam.d/login workarounds the issue for me. But I'm not sure, whether this is safe to do...

Adding PAM maintainer to CC, maybe he knows more.
Comment 4 Tomas Mraz 2014-02-19 08:46:30 EST
This was caused by kernel change where it started to enforce immutability of loginuid once it is set.

Can you please try with latest kernel? There was a change recently that again allows changing loginuid if already set.
Comment 5 Janina Sajka 2014-02-20 17:13:37 EST
Installed 3.13.3-201.fc20.x86_64 rpm, but no joy. Issuing 'openvt -u janina' as root opens a console for root, not for user 'janina.' Running openvt as 'janina' yields 'permission denied.'
Comment 6 Janina Sajka 2014-03-11 21:32:53 EDT
Now working as expected in kernel 3.13.6. Thanks, whoever!
Comment 7 Fedora End Of Life 2015-01-09 17:11:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:58:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.